=== modified file 'Makefile'
--- Makefile	2017-07-16 14:49:14 +0000
+++ Makefile	2017-07-16 14:54:39 +0000
@@ -81,7 +81,7 @@
 test:
 	pyflakes pogo pogo.py
 	# Ignore middle-of-file imports and bare excepts.
-	pycodestyle --ignore E402,E722 --max-line-length=130 pogo pogo.py
+	pycodestyle --ignore E402,E722 --max-line-length=130 benchmarks pogo pogo.py
 	dev/find-dead-code
 
 .PHONY: help clean install test

=== modified file 'benchmarks/audiotag.py'
--- benchmarks/audiotag.py	2012-05-06 13:52:49 +0000
+++ benchmarks/audiotag.py	2017-07-16 14:54:39 +0000
@@ -13,6 +13,7 @@
     """Automatically determine a file type and decode it accordingly, providing a unified interface
     to all file types.
     """
+
     def __init__(self, infile):
         self.valid = False
         f = auto.File._guess_class(infile)
@@ -46,13 +47,6 @@
     audiofile.track
     audiofile.duration
 
-    #audiofile.bitrate
-    #audiofile.sample_rate
-    #audiofile.size
-    #audiofile.audio_offset
-    #audiofile.audio_size
-
-
 
 timers = ['auto_default', 'auto_lazy']
 

=== modified file 'benchmarks/dic.py'
--- benchmarks/dic.py	2011-08-06 12:40:53 +0000
+++ benchmarks/dic.py	2017-07-16 14:54:39 +0000
@@ -1,12 +1,14 @@
 #!/usr/bin/env python
 
-import random, timeit
+import random
+import timeit
 
-DIC      = {}
+DIC = {}
 NB_ITERS = 20000
 
 # ---
 
+
 def exception():
     for i in xrange(100):
         try:
@@ -16,6 +18,7 @@
 
 # ---
 
+
 def test():
     for i in xrange(100):
         if i in DIC:
@@ -25,18 +28,21 @@
 
 # ---
 
+
 def test2():
     for i in xrange(100):
         a = DIC[i] if i in DIC else None
 
 # ---
 
+
 def get():
     for i in xrange(100):
         a = DIC.get(i, None)
 
 # ---
 
+
 def get2():
     getter = DIC.get
     for i in xrange(100):
@@ -44,6 +50,7 @@
 
 # ---
 
+
 timers = [timeit.Timer('%s()' % func, 'from __main__ import %s' % func)
           for func in ['exception', 'test', 'test2', 'get', 'get2']]
 

=== modified file 'benchmarks/escape.py'
--- benchmarks/escape.py	2012-05-06 13:52:49 +0000
+++ benchmarks/escape.py	2017-07-16 14:54:39 +0000
@@ -7,6 +7,7 @@
 
 # ---
 
+
 def escape():
     # must do ampersand first
     global data
@@ -23,16 +24,21 @@
     global data
 
     for c in data:
-        if c == '&':   output += '&amp;'
-        elif c == '<': output += '&lt;'
-        elif c == '>': output += '&gt;'
-        else:          output += c
+        if c == '&':
+            output += '&amp;'
+        elif c == '<':
+            output += '&lt;'
+        elif c == '>':
+            output += '&gt;'
+        else:
+            output += c
 
     return output
 
 # ---
 
-t1 = timeit.Timer('escape()',   'from __main__ import escape')
+
+t1 = timeit.Timer('escape()', 'from __main__ import escape')
 t2 = timeit.Timer('htmlEscape()', 'from __main__ import htmlEscape')
 t3 = timeit.Timer('e(data)', 'from glib import markup_escape_text as e; from __main__ import data')
 

=== modified file 'benchmarks/extension.py'
--- benchmarks/extension.py	2010-05-23 09:26:53 +0000
+++ benchmarks/extension.py	2017-07-16 14:54:39 +0000
@@ -1,16 +1,21 @@
 #!/usr/bin/env python
 
-import os, re, timeit
+import os
+import re
+import timeit
 
 from os.path import splitext
 
-LIST     = ['truc.Mp3', 'foo', 'foo.OGG', 'Bidule.tXt', 'bar.vim', 'test.wav', 'hello.mp3', 'yeah.flac', 'dfsfdsa', 'dass.MPC', 'dfdsaaads.fsad']
+LIST = [
+    'truc.Mp3', 'foo', 'foo.OGG', 'Bidule.tXt', 'bar.vim', 'test.wav',
+    'hello.mp3', 'yeah.flac', 'dfsfdsa', 'dass.MPC', 'dfdsaaads.fsad']
 NB_ITERS = 200000
 
 # ---
 
 mFormatsRE = re.compile('^.*\.(mp3|ogg|mpc|flac)$', re.IGNORECASE)
 
+
 def re():
     for word in LIST:
         if mFormatsRE.match(word):
@@ -18,6 +23,7 @@
 
 # ---
 
+
 def ew():
     for word in LIST:
         w2 = word.lower()
@@ -26,6 +32,7 @@
 
 # ---
 
+
 def ew_lc():
     for word in [w.lower() for w in LIST]:
         if word.endswith('.mp3') or word.endswith('.ogg') or word.endswith('.mpc') or word.endswith('.flac'):
@@ -33,8 +40,10 @@
 
 # ---
 
+
 exts = set(['.mp3', '.ogg', '.mpc', '.flac'])
 
+
 def ss_set():
     for word in LIST:
         w2 = word.lower()
@@ -43,8 +52,10 @@
 
 # ---
 
+
 exts2 = {'.mp3': None, '.ogg': None, '.mpc': None, '.flac': None}
 
+
 def ss_dic():
     for word in LIST:
         w2 = word.lower()
@@ -53,6 +64,7 @@
 
 # ---
 
+
 def ss_dic_split():
     for word in LIST:
         if splitext(word)[1].lower() in exts2:

=== modified file 'benchmarks/extension2.py'
--- benchmarks/extension2.py	2010-05-23 09:26:53 +0000
+++ benchmarks/extension2.py	2017-07-16 14:54:39 +0000
@@ -1,33 +1,45 @@
 #!/usr/bin/env python
 
-import os, re, timeit
+import os
+import re
+import timeit
 
 from os.path import splitext
 
-LIST     = ['truc.Mp3', 'foo', 'foo.OGG', 'Bidule.tXt', 'bar.vim', 'test.wav', 'hello.mp3', 'yeah.flac', 'dfsfdsa', 'dass.MPC', 'dfdsaaads.fsad']
+LIST = [
+    'truc.Mp3', 'foo', 'foo.OGG', 'Bidule.tXt', 'bar.vim', 'test.wav',
+    'hello.mp3', 'yeah.flac', 'dfsfdsa', 'dass.MPC', 'dfdsaaads.fsad']
 NB_ITERS = 200000
 
 formats = {'.mp3': None, '.ogg': None, '.mpc': None, '.flac': None}
 
 # ---
 
+
 def ss():
     for word in LIST:
         w2 = word.lower()
-        try: m = formats[w2[-4:]]
+        try:
+            m = formats[w2[-4:]]
         except:
-            try:    m = formats[w2[-5:]]
-            except: m = None
+            try:
+                m = formats[w2[-5:]]
+            except:
+                m = None
 
 # ---
 
+
 def sp():
     for word in LIST:
-        try:    m = formats[splitext(word)[1].lower()]
-        except: m = None
+        try:
+            m = formats[splitext(word)[1].lower()]
+        except:
+            m = None
 
 # ---
 
+
 print 'Retrieving the right module based on the extension'
 
 t1 = timeit.Timer('ss()', 'from __main__ import ss')

=== modified file 'benchmarks/id3.py'
--- benchmarks/id3.py	2012-05-06 13:52:49 +0000
+++ benchmarks/id3.py	2017-07-16 14:54:39 +0000
@@ -13,9 +13,8 @@
 
     mp3File = MP3(FILE)
 
-    length     = int(round(mp3File.info.length))
-    bitrate    = int(mp3File.info.bitrate)
-    #samplerate = int(mp3File.info.sample_rate)
+    length = int(round(mp3File.info.length))
+    bitrate = int(mp3File.info.bitrate)
 
     id3 = ID3(FILE)
 
@@ -34,8 +33,6 @@
     tag.title
     tag.track
     myfile.duration
-    #myfile.bitrate
-    #myfile.sample_rate
 
 
 def hsaudiotag_auto():
@@ -46,8 +43,6 @@
     myfile.title
     myfile.track
     myfile.duration
-    #myfile.bitrate
-    #myfile.sample_rate
 
 
 timers = ['mutagen', 'hsaudiotag', 'hsaudiotag_auto']

=== modified file 'benchmarks/sort.py'
--- benchmarks/sort.py	2010-05-23 09:26:53 +0000
+++ benchmarks/sort.py	2017-07-16 14:54:39 +0000
@@ -2,26 +2,30 @@
 
 import timeit
 
-LIST     = [834, 29, 99, 473, 128, 43, 555, 3243, 666, 12, 0, 3223, 5533, 3214, 987, 4325, 87, 324, 45324, 980, 2343, 92, 23, 45, 433]
+LIST = [
+    834, 29, 99, 473, 128, 43, 555, 3243, 666, 12, 0, 3223, 5533, 3214,
+    987, 4325, 87, 324, 45324, 980, 2343, 92, 23, 45, 433]
 NB_ITERS = 500000
 
 # ---
 
+
 def withSort():
-    l = [i for i in LIST]
-    l.sort()
-    return l
+    mylist = [item for item in LIST]
+    mylist.sort()
+    return mylist
 
 
 # ---
 
 def withSorted():
-    l = [i for i in LIST]
-    return sorted(l)
+    mylist = [item for item in LIST]
+    return sorted(mylist)
 
 # ---
 
-t1 = timeit.Timer('withSort()',   'from __main__ import withSort')
+
+t1 = timeit.Timer('withSort()', 'from __main__ import withSort')
 t2 = timeit.Timer('withSorted()', 'from __main__ import withSorted')
 
 print

=== modified file 'benchmarks/sum.py'
--- benchmarks/sum.py	2010-05-23 09:26:53 +0000
+++ benchmarks/sum.py	2017-07-16 14:54:39 +0000
@@ -2,11 +2,12 @@
 
 import timeit
 
-LIST     = [[1, 2], [3, 4], [5, 6], [7, 8], [9, 10], [11, 12], [12, 14], [15, 16], [17, 18], [19, 20]]
+LIST = [[1, 2], [3, 4], [5, 6], [7, 8], [9, 10], [11, 12], [12, 14], [15, 16], [17, 18], [19, 20]]
 NB_ITERS = 500000
 
 # ---
 
+
 def withLoop():
     s = 0
     for value in LIST:
@@ -15,13 +16,15 @@
 
 # ---
 
+
 def withSum():
     return sum([value[1] for value in LIST])
 
 # ---
 
+
 t1 = timeit.Timer('withLoop()', 'from __main__ import withLoop')
-t2 = timeit.Timer('withSum()',  'from __main__ import withSum')
+t2 = timeit.Timer('withSum()', 'from __main__ import withSum')
 
 
 print

